"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var src_exports = {};
__export(src_exports, {
  getTable: () => getTable,
  isAnyPostgrestResponse: () => isAnyPostgrestResponse,
  isPostgrestBuilder: () => isPostgrestBuilder,
  isPostgrestHasMorePaginationCacheData: () => isPostgrestHasMorePaginationCacheData,
  isPostgrestHasMorePaginationResponse: () => isPostgrestHasMorePaginationResponse,
  isPostgrestPaginationCacheData: () => isPostgrestPaginationCacheData,
  isPostgrestPaginationResponse: () => isPostgrestPaginationResponse
});
module.exports = __toCommonJS(src_exports);

// src/get-table.ts
var getTable = (query) => query["url"].pathname.split("/").pop();

// src/types.ts
var isAnyPostgrestResponse = (q) => {
  if (!q)
    return false;
  return typeof q.data === "object" || Array.isArray(q.data);
};
var isPostgrestPaginationResponse = (q) => {
  return Array.isArray(q);
};
var isPostgrestPaginationCacheData = (q) => {
  if (!Array.isArray(q))
    return false;
  return q.length === 0 || Array.isArray(q[0]);
};
var isPostgrestHasMorePaginationResponse = (q) => {
  if (!q)
    return false;
  return Array.isArray(q.data) && typeof q.hasMore === "boolean";
};
var isPostgrestHasMorePaginationCacheData = (q) => {
  if (!Array.isArray(q))
    return false;
  if (q.length === 0)
    return true;
  const firstPage = q[0];
  return Array.isArray(
    firstPage.data
  ) && typeof firstPage.hasMore === "boolean";
};
var isPostgrestBuilder = (q) => {
  return typeof q.throwOnError === "function";
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  getTable,
  isAnyPostgrestResponse,
  isPostgrestBuilder,
  isPostgrestHasMorePaginationCacheData,
  isPostgrestHasMorePaginationResponse,
  isPostgrestPaginationCacheData,
  isPostgrestPaginationResponse
});
//# sourceMappingURL=index.js.map